stages:
  - build
  - compliance-stage
  - test
  - review
  - dast
  - staging
  - canary
  - production
  - incremental rollout 10%
  - incremental rollout 25%
  - incremental rollout 50%
  - incremental rollout 100%
  - performance
  - cleanup

include:
- template: Jobs/Build.gitlab-ci.yml
- template: Jobs/Deploy.gitlab-ci.yml
- template: Jobs/SAST.gitlab-ci.yml

#review:
#  environment:
#    url: https://$CI_PROJECT_ID-$CI_ENVIRONMENT_SLUG.$KUBE_INGRESS_BASE_DOMAIN

variables:
  AUTO_DEVOPS_BUILD_IMAGE_CNB_BUILDER: heroku/builder:22